<?php get_header(); ?>

<div class="general_block">
    <div class="general_block_inside">
        
        <div class="general_block_left">
            <div class="general_block_left_scroll">
                <?php include( TEMPLATEPATH . '/left_block.php'); ?>
            </div>           
        </div>
    
        <div class="general_block_right">
            <div class="general_block_right_scroll">
                
                <div class="site_user_menu">
                    <?php if ( is_user_logged_in() ) {
      		            echo '<li><a href="./wp-login.php?action=logout"><i class="fa fa-user"></i> Log Out</a></li>'; } else { echo '<li><a href="./wp-login.php"><i class="fa fa-user"></i> Log In</a></li>'; } ?>
      		            
      		        <?php if ( is_user_logged_in() ) {
      		            echo '<li><a href="./wp-admin"><i class="fa fa-dashboard"></i> Site Admin Menu</a></li>'; } else { echo ''; } ?>    
      		            
					<li>
                        <a title="Syndicate this site using RSS 2.0" href="<?php echo get_stylesheet_directory_uri(); ?>/feed/"><i class="fa fa-rss"></i> <abbr title="Really Simple Syndication">RSS</abbr></a>
        		    </li>
							
				    <li>
                        <a title="The latest comments to all posts in RSS" href="./comments/feed/"><abbr title="Really Simple Syndication"><i class="fa fa-comments"></i> RSS</abbr>-comments</a>
        		    </li>
							
                    <li>
                        <a title="Powered by WordPress, state-of-the-art semantic personal publishing platform." href="http://wordpress.org/"><i class="fa fa-wordpress"></i> WordPress.org</a>
                    </li>
                </div>

                
                <div class="site_posts_body">
                    
                    <div class="site_posts_inside_archive_title">
                        <i class="fa fa-clock-o fa"></i> <?php printf( __( 'Search Results for: %s'), '<span>' . get_search_query() . '</span>' ); ?>
	                </div>
                    
                    <div class="site_posts_inside">
                        <?php if (have_posts()) : ?>
				            <?php while (have_posts()) : the_post(); ?>
				                <div id="site_post_body" <?php post_class(); ?>>
				                    <div id="site_post_body_inside">
				                        <div class="site_post_thumbnail">
                                            <?php if (is_sticky() ) : ?>
								                <span class="site_post_sticky_label">
								                    <span>Important News</span>
								                </span>
								            <?php endif; ?>
								            
								            <span class="site_post_category">
								                <?php primary_category(); ?>
								            </span>
								            
									        <?php the_post_thumbnail ( 'home_thumb' ); ?>
								        </div>
								        
								        <div class="site_post_title">
									        <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( '%s'), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php trim_title_chars(40, '...'); ?>
							                </a>
								        </div>
								        
								        <div class="site_post_meta">
								            <div class="site_post_date">
		                            	        <span>
                                                    <?php the_time('m/d/Y'); ?>
		                            	        </span>
	                                        </div>
	                                        
	                                        <div class="site_post_comments">
	                                            <?php if (comments_open() ) 
										            { if ( get_comments_number( '0','1','%' ) == 0) { ?><i class="fa fa-comments"></i> 0 <?php } else { ?> <i class="fa fa-comments"></i> <?php comments_number( '0','1','%' ); ?> <?php } } else { ?> <i class="fa fa-lock"></i> <?php } ?>
	                                        </div>
	                                        
	                                        <div class="site_post_author">
                                                <?php the_author(); ?>
	                                        </div>
	                                        
	                                        <div class="site_post_likes">
		                            	        <span>
                                                    <i class="fa fa-heart-o"></i> <b><?php echo get_simple_likes_button( get_the_ID() ); ?></b>
		                            	        </span>
	                                        </div>
								        </div>
				                    </div>
				                </div>
				            <?php endwhile; ?>
				
				        <?php else : ?>
					        <div class="body_posts_one" style="padding:20px 0;">
						        NOT FOUND
					        </div>	
			            <?php endif; ?> 
                    </div>
                </div>
                
                <div class="site_posts_body_navigation">
	                <?php kama_pagenavi(); ?>
                </div>
                
                <div class="site_posts_body_footer">
	                <?php get_footer(); ?>
                </div>                
            </div>         
        </div>
        
    </div>
</div>